package com.contextspace.objectdb_example.dao.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

import com.contextspace.objectdb_example.dao.IRuleDAO;
import com.contextspace.objectdb_example.model.Rule;

/**
 * Creation Details:
 * @author pedwards
 * Created: 16/04/2012
 * Time: 2:15:12 PM
 * 
 * Concrete JPA implementation for {@link IRuleDAO}
 */
@Repository("ruleDao")
public class RuleDAOImpl extends BaseDAOImpl<Rule, Long> implements IRuleDAO{
	static Logger log = LoggerFactory.getLogger(RuleDAOImpl.class.getName());
}
